# WordPress.org Plugin Assets

This directory contains assets for the WordPress.org plugin repository. These assets are not included in the plugin itself but are used for the plugin's WordPress.org page.

## Directory Structure

- `assets/`: Contains images and other assets for the WordPress.org plugin page
  - `banner-772x250.png`: Banner image for the plugin page (772x250 pixels)
  - `banner-1544x500.png`: Retina banner image (1544x500 pixels)
  - `icon-128x128.png`: Icon for the plugin (128x128 pixels)
  - `icon-256x256.png`: Retina icon (256x256 pixels)
  - `screenshot-1.png`: First screenshot
  - `screenshot-2.png`: Second screenshot (if applicable)
  - etc.

## Asset Requirements

### Banner

- Regular: 772x250 pixels
- Retina: 1544x500 pixels
- PNG or JPG format
- The banner should be visually appealing and represent the plugin's purpose

### Icon

- Regular: 128x128 pixels
- Retina: 256x256 pixels
- PNG format with transparency
- The icon should be simple and recognizable

### Screenshots

- Should be at least 1200 pixels wide
- PNG or JPG format
- Should demonstrate the plugin's functionality
- Should be clear and easy to understand

## WordPress.org Plugin Submission

When submitting a plugin to WordPress.org, you need to:

1. Create a plugin ZIP file without the `.wordpress-org` directory
2. Upload the ZIP file to WordPress.org
3. Upload the assets separately through the WordPress.org plugin repository interface

For more information, see [WORDPRESS_ORG_SUBMISSION.md](WORDPRESS_ORG_SUBMISSION.md).

## Asset Design Guidelines

- Use consistent branding (colors, fonts, etc.)
- Keep the design simple and focused
- Ensure text is readable
- Use high-quality images
- Test how assets look on different devices and screen sizes

## Updating Assets

When updating assets:

1. Replace the files in this directory
2. Upload the new assets to WordPress.org through the plugin repository interface
3. It may take some time for the changes to appear on WordPress.org

For more information about WordPress.org plugin assets, see [WORDPRESS_ORG_ASSETS.md](WORDPRESS_ORG_ASSETS.md).
